package com.app.ydl.pay_v3.view;

import java.io.Serializable;

public class YdlDmpPayApplyEditView implements Serializable {

    private String id;
    private String app_name;
    private String app_secret;
    private String sign_type;
    private Integer status;
    private String channel_type;
    private String business_notice_url;
    private String desc;

    private YdlDmpPayApplyPayConfigView pay_config = new YdlDmpPayApplyPayConfigView();

    public class YdlDmpPayApplyPayConfigView implements Serializable {
        private String app_id;
        private String channel_account;

        private String merchant_api_key;
        private String cert_path;

        private String rsa_private_key;
        private String ali_pay_application_public_key;
        private String ali_pay_common_public_key;

        private String return_url;
        private String quit_url;

        public String getApp_id() {
            return app_id;
        }

        public void setApp_id(String app_id) {
            this.app_id = app_id;
        }

        public String getChannel_account() {
            return channel_account;
        }

        public void setChannel_account(String channel_account) {
            this.channel_account = channel_account;
        }

        public String getMerchant_api_key() {
            return merchant_api_key;
        }

        public void setMerchant_api_key(String merchant_api_key) {
            this.merchant_api_key = merchant_api_key;
        }

        public String getCert_path() {
            return cert_path;
        }

        public void setCert_path(String cert_path) {
            this.cert_path = cert_path;
        }

        public String getRsa_private_key() {
            return rsa_private_key;
        }

        public void setRsa_private_key(String rsa_private_key) {
            this.rsa_private_key = rsa_private_key;
        }

        public String getAli_pay_application_public_key() {
            return ali_pay_application_public_key;
        }

        public void setAli_pay_application_public_key(String ali_pay_application_public_key) {
            this.ali_pay_application_public_key = ali_pay_application_public_key;
        }

        public String getAli_pay_common_public_key() {
            return ali_pay_common_public_key;
        }

        public void setAli_pay_common_public_key(String ali_pay_common_public_key) {
            this.ali_pay_common_public_key = ali_pay_common_public_key;
        }

        public String getReturn_url() {
            return return_url;
        }

        public void setReturn_url(String return_url) {
            this.return_url = return_url;
        }

        public String getQuit_url() {
            return quit_url;
        }

        public void setQuit_url(String quit_url) {
            this.quit_url = quit_url;
        }
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public String getApp_secret() {
        return app_secret;
    }

    public void setApp_secret(String app_secret) {
        this.app_secret = app_secret;
    }

    public String getSign_type() {
        return sign_type;
    }

    public void setSign_type(String sign_type) {
        this.sign_type = sign_type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getChannel_type() {
        return channel_type;
    }

    public void setChannel_type(String channel_type) {
        this.channel_type = channel_type;
    }

    public String getBusiness_notice_url() {
        return business_notice_url;
    }

    public void setBusiness_notice_url(String business_notice_url) {
        this.business_notice_url = business_notice_url;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public YdlDmpPayApplyPayConfigView getPay_config() {
        return pay_config;
    }

    public void setPay_config(YdlDmpPayApplyPayConfigView pay_config) {
        this.pay_config = pay_config;
    }
}
